<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Importer un circuit BPMN</h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>
<div class="modal-body">
  <div class="form-group">
    <label for="fileInput">Fichier</label>
    <input
      (change)="getFileDetails($event)"
      id="fileInput"
      class="form-control"
      type="file"
      #fileInput>
  </div>
  <div class="form-group">
    <label for="sizeInput">Taille</label>
    <input
      id="sizeInput"
      type="text"
      class="form-control"
      [value]="xmlSize"
      disabled>
  </div>
  <div class="form-group">
    <label for="idInput">Id</label>
    <input
      id="idInput"
      type="text"
      class="form-control"
      [value]="xmlId"
      disabled>
  </div>
  <div class="form-group">
    <label for="nameInput">Nom</label>
    <input
      id="nameInput"
      type="text"
      class="form-control"
      [value]="xmlName"
      #nameInput>
  </div>
</div>
<div class="modal-footer">
  <button
    type="button"
    class="btn btn-outline-primary"
    (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)">
    Annuler
  </button>
  <button
    type="button"
    class="btn btn-primary">
    Valider
  </button>
</div>
